Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.heuristic.selector.move.factory
Class MoveListFactoryConfig

    java.lang.Object
      org.drools.planner.config.heuristic.selector.SelectorConfig
          org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
              org.drools.planner.config.heuristic.selector.move.factory.MoveListFactoryConfig

    public class MoveListFactoryConfig

extends MoveSelectorConfig

Field Summary
`protected Class<? extends MoveListFactory>` | `moveListFactoryClass`

Fields inherited from class org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
`cacheType, moveFilterClassList, moveProbabilityWeightFactoryClass, selectionOrder`

Constructor Summary
`MoveListFactoryConfig()`

Method Summary
`MoveSelector` | `buildBaseMoveSelector(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, SelectionCacheType minimumCacheType, SelectionOrder resolvedSelectionOrder)`
`Class<? extends MoveListFactory>` | `getMoveListFactoryClass()`
`void` | `inherit(MoveListFactoryConfig inheritedConfig)`
`void` | `setMoveListFactoryClass(Class<? extends MoveListFactory> moveListFactoryClass)`
`String` | `toString()`

Methods inherited from class org.drools.planner.config.heuristic.selector.move.MoveSelectorConfig
`buildMoveSelector, getCacheType, getFixedProbabilityWeight, getMoveFilterClassList, getMoveProbabilityWeightFactoryClass, getSelectionOrder, inherit, setCacheType, setFixedProbabilityWeight, setMoveFilterClassList, setMoveProbabilityWeightFactoryClass, setSelectionOrder`

Methods inherited from class org.drools.planner.config.heuristic.selector.SelectorConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### moveListFactoryClass

    protected Class<? extends MoveListFactory> moveListFactoryClass

Constructor Detail

### MoveListFactoryConfig

    public MoveListFactoryConfig()

Method Detail

### getMoveListFactoryClass

    public Class<? extends MoveListFactory> getMoveListFactoryClass()

### setMoveListFactoryClass

    public void setMoveListFactoryClass(Class<? extends MoveListFactory> moveListFactoryClass)

### buildBaseMoveSelector

    public MoveSelector buildBaseMoveSelector(EnvironmentMode environmentMode,
                                              SolutionDescriptor solutionDescriptor,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder resolvedSelectionOrder)

  Specified by:
    `buildBaseMoveSelector` in class `MoveSelectorConfig`
  Parameters:
    `environmentMode` - never null
    `solutionDescriptor` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `resolvedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(MoveListFactoryConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.